Bug 235901 - Mk/Uses/python.mk should complain if there are unknown components in USE_PYTHON
Summary: Mk/Uses/python.mk should complain if there are unknown components in USE_PYTHON
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D19569
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-02-20 23:05 UTC by Tobias Kortkamp
Modified: 2019-04-18 13:28 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-02-20 23:05:52 UTC
USES=python should complain if there are unknown components in
USE_PYTHON.  At the moment everything is just silently accepted.

For example

USE_PYTHON=	autoplist distutlls

is accepted, but it should be an error (distutlls should be distutils here)
since it doesn't really do anything

There is only a finite list of acceptable keywords for USE_PYTHON,
so it should be possible to check this and refuse the build if there
are unknown keywords in it.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-02-21 08:18:49 UTC
Sounds like something that's very worth doing across the framework in a single bug (or multiple issues under a meta bug), for all USE_*'s / Uses/* component arguments.
Comment 2 Tobias Kortkamp freebsd_committer 2019-03-13 10:04:56 UTC
Patch to do this here: https://reviews.freebsd.org/D19569
Comment 3 commit-hook freebsd_committer 2019-04-18 13:17:35 UTC
A commit references this bug:

Author: tobik
Date: Thu Apr 18 13:16:45 UTC 2019
New revision: 499257
URL: https://svnweb.freebsd.org/changeset/ports/499257

Log:
  Mk/Uses/python.mk: Flag unknown USES=python args and unknown USE_PYTHON features

  PR:		235901
  Approved by:	mat
  Differential Revision:	https://reviews.freebsd.org/D19569

Changes:
  head/Mk/Uses/python.mk